import React from 'react';
import { Icon, Tabs } from 'antd';
import LoginForm from './loginForm.jsx';

import loginqq from '../../../image/login_qq.png';
import loginweixin from '../../../image/login_weixin.png';
import loginweibo from '../../../image/login_weibo.png';
import loginmore from '../../../image/login_more.png';
import './login.less';
const TabPane = Tabs.TabPane;

const LoginContent = React.createClass({
    getInitialState() {
        return {
            theKey:"1"
        };
    },
    tabChange(key){
        this.setState({
            theKey:key
        })
    },
    render() {
        return (
            <div className="content clearfix">
                <div className="login-left">
                    <img src="" alt="" />
                </div>
                <div className="login-right">
                    <Tabs defaultActiveKey="1" onChange={this.tabChange}  className="login-from">
                        <TabPane tab="个人登录" key="1">
                            <LoginForm loginProp={this.state.theKey}/>
                        </TabPane>
                        <TabPane tab="公司登录" key="2" className="tabtwo">
                            <LoginForm loginProp={this.state.theKey}/>
                        </TabPane>
                    </Tabs>
                    <div className="login-other clearfix">
                        <ul className="clearfix">
                            <li><img src={loginqq} alt="" /><p>QQ</p></li>
                            <li><img src={loginweixin} alt="" /><p>微信</p></li>
                            <li><img src={loginweibo} alt="" /><p>微博</p></li>
                            <li className="join"><img src={loginmore} alt="" /><p><a href="./signIn.html">立即注册</a></p></li>
                        </ul>
                    </div>
                </div>
            </div>
        )
    }
});

export default LoginContent;